---
title: "Retrieves list of aircrafttypes"
url: "https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24/operations/getAircraftTypes"
---

> Full API specification: https://developer.schiphol.nl/apis/schiphol-public-flight-api-4-public-prd/versions/7e467a47-1065-4998-b293-ef9bb4efbe24.md

# Retrieves list of aircrafttypes

`GET` `/aircrafttypes`

Operation ID: `getAircraftTypes`

Retrieves list of aircrafttypes. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:<br/>Link: &lt;protocol://server_address:port/public-flights/resource&gt; ; rel="first", <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt; rel="last", <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt; rel="next", <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt; rel="prev"<br/><br/>

## Query parameters

- `iataMain` (string, optional) - IATA main code
- `iataSub` (string, optional) - IATA sub code
- `page` (integer, int32, optional) - Page number
- `sort` (string, optional) - Specifies which field to use for sorting. Allowed fields are iataMain, iataSub, longDescription and shortDescription. Use plus or minus sign to indicate ascending or descending order.

## Header parameters

- `Accept` (string, required) - Only 'application/json' is allowed

## Responses

- `200` - OK
- `204` - No content
- `400` - Bad request

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Schiphol Public Flight API
  version: 4.2.0
servers:
  - url: https://{environment}.schiphol.nl/public/public-flights/v4
    variables:
      environment:
        enum:
          - api
          - api-acc
        default: api
paths:
  /aircrafttypes:
    get:
      summary: Retrieves list of aircrafttypes
      description: 'Retrieves list of aircrafttypes. If there are more hits then
        allowed on one page response headers will contain the URLs where other
        pages of the results can be reached.For example:<br/>Link:
        &lt;protocol://server_address:port/public-flights/resource&gt; ;
        rel="first",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=10&gt;
        rel="last",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=3&gt;
        rel="next",
        <br/>&lt;protocol://server_address:port/public-flights/resource?page=1&gt;
        rel="prev"<br/><br/>'
      operationId: getAircraftTypes
      parameters:
        - $ref: "#/components/parameters/AcceptHeader"
        - name: iataMain
          in: query
          description: IATA main code
          schema:
            maxLength: 3
            minLength: 3
            type: string
        - name: iataSub
          in: query
          description: IATA sub code
          schema:
            maxLength: 3
            minLength: 3
            type: string
        - name: page
          in: query
          description: Page number
          schema:
            maximum: 499
            minimum: 0
            type: integer
            format: int32
            default: 0
        - name: sort
          in: query
          description: Specifies which field to use for sorting. Allowed fields are
            iataMain, iataSub, longDescription and shortDescription. Use plus or
            minus sign to indicate ascending or descending order.
          schema:
            pattern: ^((\+|-| )?(iataMain|iataSub|longDescription|shortDescription)(,|$))+$
            type: string
            default: +iataMain
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/AircraftTypeList"
        "204":
          description: No content
          content: {}
        "400":
          description: Bad request
          content: {}
security:
  - bearerAuth: []
components:
  parameters:
    AcceptHeader:
      name: Accept
      in: header
      description: Only 'application/json' is allowed
      required: true
      style: simple
      schema:
        type: string
        example: application/json
  schemas:
    AircraftTypeList:
      type: object
      properties:
        aircraftTypes:
          type: array
          items:
            $ref: "#/components/schemas/AircraftType"
    AircraftType:
      type: object
      properties:
        iataMain:
          type: string
        iataSub:
          type: string
        longDescription:
          type: string
        shortDescription:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
